MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
Acknowledge Insight IncidentArchive Insight TopicCreate Insight Alert RuleCreate Insight TopicDelete Insight Alert RuleGet Insight IncidentGet Insights SettingsInsight Sentiment MatrixInsight Processing StatusInsight KPIsInsight Time SeriesInsight Tool FailuresInsight Topic StatisticsInsight Config Version ComparisonList Insight IncidentsList Insight Alert RulesList Insight TopicsList Voice Engine PopulationsMerge Insight TopicUpdate Insights SettingsRe-analyse ConversationsResolve Insight IncidentInsight Topic Sample SummariesUpdate Insight Alert RuleUpdate Insight Topic
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceInsights

Create Insight Topic

POST
/v1/insights/topics

Create an active manager topic. A name that normalises to an existing live topic of the agent returns that topic instead of a duplicate; a proposed or archived match becomes an active manager topic, so the result is always live and protected from curation merges.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

org_id*Org Id
Formatuuid
verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/insights/topics?org_id=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",  "name": "string",  "description": "string",  "status": "string",  "origin": "string",  "pinned": true,  "merged_into_id": "a0006207-f1c1-490a-8158-84ba576a8827",  "first_seen_at": "2019-08-24T14:15:22Z",  "promoted_at": "2019-08-24T14:15:22Z",  "conversations": 0}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Create Insight Alert Rule

Previous Page

Delete Insight Alert Rule

Next Page

agent_id*Agent Id
Formatuuid
name*Name
Length1 <= length <= 120
description?|null